Subject: Re: [sipcore] draft-sparks-sipcore-name-addr-guidance-00: comments

From: Robert Sparks <[email-masked]>
Date: Tue, 27 Sep 2016 14:09:35 -0500

Returning to this thread:

On 6/24/16 2:50 PM, Brett Tate wrote:
> Hi,
>
> The following are some comments concerning
> draft-sparks-sipcore-name-addr-guidance-00.
>
> Thanks,
> Brett
>
> -------
>
> 1) Abstract: "and at least one header field was missed" can potentially be
> removed.  The RFC 3261 section 20.31 mandate for Reply-To is the same as
> the section 20.20 mandate for From.  However, it was missing from the RFC
> 3261 section 20 paragraph that this draft is updating.
The "was missed" was referring to "To" as discussed in the introduction.
>
> 2) Section 7: Errata 3744 and 3894 are mentioned; however the draft
> doesn't explicitly mention RFC 3325.  RFC 3325 potentially should be
> mentioned within section 3 (or elsewhere) even if this draft does not need
> to update the RFC.
We were already updating other Informational documents (5002, 5318 and 
5502). After re-reading the threads, I'm convinced adding 3325 is the 
right thing to do. I've implemented Ben's suggestion for being clear 
that the update does not affect the updated documents' status.

Just to triple-check that we hadn't missed any others, I did some 
extensive grepping and found these to add:
3892 (Referred-By), and 4508 (which copies the ABNF for Refer)

Just to capture the work, the following RFCs contain header syntax, but 
do _not_ need the update, they avoided the problem by always requiring 
addr-spec:
3327 (Path), 3608 (Service-Route), 5503 (P-DCS-Trace-Party-ID), 5806 
(Diversion), 7044 (History-Info), 7315 (P-Associated-URI, 
P-Called-Party-ID), 7544 (mapping diversion to history info).

In response to other messages about standards track documents updating 
informational documents, it's happened many times before:
rfc5494 updates rfc1329
rfc5494 updates rfc2176
rfc4519 updates rfc2377
rfc3698 updates rfc2798
rfc4519 updates rfc2798
rfc4524 updates rfc2798
rfc5785 updates rfc2818
rfc5080 updates rfc2866
rfc5080 updates rfc2869
rfc3977 updates rfc2980
rfc4643 updates rfc2980
rfc4644 updates rfc2980
rfc6048 updates rfc2980
rfc4112 updates rfc3106
rfc5462 updates rfc3272
rfc5462 updates rfc3469
rfc6233 updates rfc3563
rfc5462 updates rfc3564
rfc5080 updates rfc3579
rfc5462 updates rfc3985
rfc4548 updates rfc4048
rfc5095 updates rfc4294
rfc5246 updates rfc4492
rfc5865 updates rfc4542
rfc5865 updates rfc4594
rfc6309 updates rfc5410
rfc6309 updates rfc6043
rfc6435 updates rfc6371
rfc6672 updates rfc3363
rfc3575 updates rfc2868
rfc6960 updates rfc5912
rfc7268 updates rfc3580
rfc7303 updates rfc6839
rfc7230 updates rfc2818
rfc7274 updates rfc5921
rfc7162 updates rfc2683
rfc7146 updates rfc5047
rfc7146 updates rfc5045
rfc7143 updates rfc3721
rfc7459 updates rfc3693
rfc7852 updates rfc6443
rfc7919 updates rfc4492
>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore